<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=windows-1252">
	<TITLE>Introduction</TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 3.0  (Win32)">
	<META NAME="CREATED" CONTENT="0;0">
	<META NAME="CHANGEDBY" CONTENT="Christian Brunette">
	<META NAME="CHANGED" CONTENT="20090416;15561100">
	<STYLE TYPE="text/css">
	<!--
		@page { margin: 2cm }
		P { margin-bottom: 0.21cm }
		H1 { margin-bottom: 0.21cm }
		H1.western { font-family: "Nimbus Sans L", sans-serif; font-size: 16pt }
		H1.cjk { font-family: "DejaVu LGC Sans"; font-size: 16pt }
		H1.ctl { font-family: "DejaVu LGC Sans"; font-size: 16pt }
		A:link { so-language: zxx }
	-->
	</STYLE>
</HEAD>
<BODY LANG="fr-FR" DIR="LTR">
<H1 CLASS="western">Introduction</H1>
<P ALIGN=JUSTIFY>The Persiform French national project aims at
developing a methodology and supporting tools to enable software
architects to evaluate the performance of complex systems at design
stage. Despite the existence of mature techniques, performance
evaluation is still a specific, costly activity that raises the issue
of the consistency between functional and performance models. To
tackle these problems, the Persiform approach lies upon the
adaptation of well-known functional design languages, namely UML 2.0
and Message Sequence Charts (MSC), and the automatic transformation
of design models into performance simulation models.</P>
<P ALIGN=JUSTIFY>UML 2.0 is restricted and extended by a specific
Profile focussing on Activity Diagrams, while the textual syntax of
MSC is enriched by resource consumptions. To allow for a common,
clear execution semantics, an abstract intermediate language is
defined that involves well-known concepts from Queueing Networks and
procedural, colored Petri Nets with time and data. Using Model-Driven
Engineering techniques, a full chain of model transformations is
implemented that turns design models into intermediate models, then
intermediate models into performance models. <BR>The generated
performance models can be read and used with HyPerformix Workbench,
an industrial performance simulator. 
</P>
<P ALIGN=JUSTIFY>In the OpenEmbeDD project, the Persiform toolchain
has been adapted for the avionics case study. The transformation
starts from a UML2 model profiled with MARTE. The abstract
intermediate language used is an ARINC metamodel designed for this
purpose. This transformation is really dedicated to the avionics case
study.</P>
</BODY>
</HTML>